Форум программистов, компьютерный форум, киберфорум
C#: ASP.NET Core
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.57/7: Рейтинг темы: голосов - 7, средняя оценка - 4.57
11 / 11 / 3
Регистрация: 24.05.2014
Сообщений: 839
1

Не устанавливается пакет microsoft.aspnetcore.app

17.01.2021, 03:48. Просмотров 1333. Ответов 8
Метки нет (Все метки)

Захожу в "управление пакетами Nuget", ввожу в поиск "microsoft.aspnetcore.app", выбираю его, жму установить - появляются два окошка, которые я подтверждаю, в консоли пишется "========== Готово ==========", однако ничего не установилось. Ещё, заметил в консоли "Установка пакета NuGet Microsoft.AspNetCore.App 2.2.8.
Фиксация восстановления..." → я так думаю, это означает, что пакет не установился, а "готово" говорит о том, что всё успешно откачено. Проблема появилась, когда я сменил целевую рабочую среду на .NET Core 3.1. Неужели microsoft.aspnetcore.app не поддерживает .NET Core 3.1 или проблема в другом?

Добавлено через 5 часов 34 минуты
И правда 2.2.8 не работает на .Net Core выше 2.2. Получается, что Asp.net умер и больше не будет обновляться?
0
Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
17.01.2021, 03:48
Ответы с готовыми решениями:

Js AspNetCore Checkbox
Есть checkBox @foreach (var item in Model) { <tr> ...

Не устанавливается NuGet пакет Microsoft.Interop.Excel
Выполняется попытка собрать информацию о зависимостях для пакета...

Почему не устанавливается NuGet пакет Microsoft.Azure.NotificationHubs?
Пытаюсь установить Microsoft.Azure.NotificationHubs, выдается ошибка. ...

InvalidOperationException: Can not find compilation library location for package 'Microsoft.AspNetCore.Antiforgery'
Стоит linux ubuntu 18.04, хочу просто попробовать запустить базовый проект. Выдает ошибку...

8
4568 / 3142 / 1342
Регистрация: 09.05.2015
Сообщений: 7,714
18.01.2021, 03:47 2
По моему этот пакет является частью SDK/Runtime и устанавливать его вручную не нужно.

Вот так выглядит свеже созданный проект .NET Core 3.1 MVC:
0
Миниатюры
Не устанавливается пакет microsoft.aspnetcore.app  
11 / 11 / 3
Регистрация: 24.05.2014
Сообщений: 839
20.01.2021, 13:27  [ТС] 3
Someone007, NetCore.App – да, является. А AspNetCore.App – судя по всему, нет. Проблему удалось решить:
  • Устарив AspNetCore.Razor.Language до v2.1.2 (в NuGet Manager)
  • Устарив AspNetCore.App до v2.1.24 (там же)
  • Устарив .NET Core до v2.1 (в свойствах проекта)
Странно, что ни .NetCore.App, ни .AspNetCore.App не поддерживают .NET Core v3
0
608 / 437 / 158
Регистрация: 21.02.2019
Сообщений: 1,596
20.01.2021, 13:43 4
Титан_1,
..зачем вы пытаетесь добавлять пакеты версии 2.1 в проект версии 3.1 ..? ... В версии 3.1 есть свой пакет Microsoft.AspNetCore.App версии 3.1.х (в зависимости от версии студии) ...
0
11 / 11 / 3
Регистрация: 24.05.2014
Сообщений: 839
20.01.2021, 13:48  [ТС] 5
carrotik, в том-то и дело, что нет. Максимальная версия: 2.2.8
Не устанавливается пакет microsoft.aspnetcore.app
0
608 / 437 / 158
Регистрация: 21.02.2019
Сообщений: 1,596
20.01.2021, 13:56 6
Титан_1,
...ну вы же не первый, кто мигрирует проект 2.2 на версию 3.0 .. вообще процедура миграции описана давно, например

Migrate from ASP.NET Core 2.2 to 3.0

...но я, например, не заморачивался со всем этим, а создавал новые проекты в шаблоне 3.0 и копипастил контроллеры, сервисы и классы из старой, а Startup.cs просто правил в новом шаблоне, добавляя ссылки на сервисы ... Но это дело вкуса ... Вы что-то не то делаете ...
0
4568 / 3142 / 1342
Регистрация: 09.05.2015
Сообщений: 7,714
20.01.2021, 15:47 7
Цитата Сообщение от Титан_1 Посмотреть сообщение
Странно, что ни .NetCore.App, ни .AspNetCore.App не поддерживают .NET Core v3
Всё прекрасно поддерживается что наглядно видно на моем скриншоте (в зависимостях находятся Microsoft.AspNetCore.App версии 3.1.х и Microsoft.NetCore.App версии 3.1.х). Ничего вручную с nuget'а не устанавливалось.

Достаточно указать корректный тип SDK и его версию в файле проекта (так же видно на моем скриншоте выше)...
0
1239 / 948 / 133
Регистрация: 01.10.2009
Сообщений: 2,898
Записей в блоге: 1
20.01.2021, 22:01 8
Цитата Сообщение от carrotik Посмотреть сообщение
а создавал новые проекты в шаблоне 3.0 и копипастил контроллеры, сервисы и классы из старой, а Startup.cs
а вот интересно, вы сразу при новой плюшке переходите ?
0
608 / 437 / 158
Регистрация: 21.02.2019
Сообщений: 1,596
21.01.2021, 10:48 9
Цитата Сообщение от XIST Посмотреть сообщение
а вот интересно, вы сразу при новой плюшке переходите ?
.. нет ... там, где "работает - не трожь", крутятся и крутятся .. где можно было поупражняться - почему нет ...
0
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
21.01.2021, 10:48

Заказываю контрольные, курсовые, дипломные и любые другие студенческие работы здесь.

Не устанавливается пакет SP 3
Сегодня с сайта Майкрософт загрузил SP 3.Но, при установке выдаёт следующее: внутренняя ошибка : ...

Не устанавливается пакет BGRAControls
Всем здравствуйте. Не могу установить пакет. Нужна пошаговая инструкция. Ниже приложены скрины...

Не устанавливается языковой пакет
Языковой пакет доступен для скачивания, но просто не устанавливается(скачивание проходит нормально,...

Не устанавливается языковой пакет
Всем привет! Раньше стоял британский пакет, из-за глюков сделал рефреш винды. Она стала русской,...

Не устанавливается пакет в Ubuntu 18
почему не устанавливается пакет на ubuntu 18 Unable to locate package broadwayd делал по...

Не устанавливается пакет с github
Пытаюсь установить библиотеку, но выдает такую ошибку. Другие библиотеки ставятся нормально....


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
9
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2021, vBulletin Solutions, Inc.